Retrieve a rule or token name

- « Parle\Parser::sigilCount

- Parle\Parser::token »

- PHP Manual
- Parle\Parser
- Retrieve a rule or token name

# Parle\Parser::sigilName

(PECL parle >= 0.8.4)

Parle\Parser::sigilName — Retrieve a rule or token name

### Description

public Parle\Parser::sigilName(int `$idx`): string

Retrieve a partial rule name or token name corresponding to the sigil index.

### Parameters

`idx`

  Match index, zero based.

### Return Values

Returns a string with the matched part.